cordova.define("com.szxr.plugin.XrPlugin",
		function(require, exports, module) {
			var XrApi = {
				/**
				 * 调用IOS方法
				 * 
				 * @param method
				 *            要调用IOS插件的方法名
				 * @param parameter
				 *            参数[数组]
				 * @param success
				 *            成功回调
				 * @param fail
				 *            失败回调
				 * @returns {*}
				 */
				 openNewUrl:function(title,url,hideTitle){
                    return cordova.exec(null, null, 'XrPlugin', 'openNewUrl', [title,url,hideTitle]);
				 },
				 closeCurrentPage:function() {
                     return Cordova.exec(null,null,"XrPlugin","closeCurrentPage", null);
                 },
                 showToast:function(message) {
                      return Cordova.exec(null,null,"XrPlugin","showToast",[message]);
                  },
                  showProcessDialog:function() {
                      return Cordova.exec(null,null,"XrPlugin","showProcessDialog",null);
                  },
                dismissProcessDialog:function() {
                    return Cordova.exec(null,null,"XrPlugin","dismissProcessDialog",[]);
                },
                updateTitle:function() {
                    return Cordova.exec(null,null,"XrPlugin","updateTitle",[title]);
                },
				// 打开登录界面
				toLoginPage : function(success, fail) {
					return Cordova.exec(success, fail, "XrPlugin", "toLoginPage",null);
				}
				// 隐藏标题栏
				hideTitleBar : function(success, fail) {
					return Cordova.exec(success, fail, "XrPlugin", "hideTitleBar",null);
				}
				// 打开首页
				toHomePage : function(success, fail) {
					return Cordova.exec(success, fail, "XrPlugin", "toHomePage",null);
				}
				// 打开购物车
				toShopPage : function(success, fail) {
					return Cordova.exec(success, fail, "XrPlugin", "toShopPage",null);
				}
				// h5的返回按钮
				onBackPress : function(success, fail) {
					return Cordova.exec(success, fail, "XrPlugin", "onBackPress",null);
				}
				// 打开原生的客服页面
				openKefu : function(success, fail) {
					return Cordova.exec(success, fail, "XrPlugin", "openKefu",null);
				}


			};

			module.exports = XrApi;
		});
